.TH "NaCl" "1" 
.SH "NAME" 
CurveCP \(em Message-handling programs 
.SH "SYNOPSIS" 
.PP 
\fBcurvecpmessage\fR [\fB-q \fI(optional)\fR\fP]  [\fB-Q \fI(optional)\fR\fP]  [\fB-v \fI(optional)\fR\fP]  [\fB-c \fI(optional)\fR\fP]  [\fB-C \fI(optional)\fR\fP]  [\fB-s \fI(optional)\fR\fP]  [prog]  
.SH "DESCRIPTION" 
.PP 
This manual page documents briefly the  
\fBCurveCP\fR commands. 
.PP 
A traditional UNIX-style server such as ftpd handles just  
one network connection, reading input from stdin and writing output 
to stdout. A "superserver" such as inetd or tcpserver listens for  
network connections and starts a separate server process for  
each connection. 
.PP 
The \fBCurveCP\fR command-line tools have 
an extra level of modularity. The \fBcurvecpserver\fR  superserver listens for network connections. For each connection,  
\fBcurvecpserver\fR starts the  
\fBcurvecpmessage\fR message handler;  
\fBcurvecpmessage\fR then starts a server such as ftpd. 
Then ftpd sends a stream of data to \fBcurvecpmessage\fR,  
which in turn sends messages to \fBcurvecpserver\fR,  
which encrypts and authenticates the messages and sends them inside 
network packets. At the same time \fBcurvecpclient\fR receives network packets, verifies and decrypts messages inside the  
packets, and passes the messages to \fBcurvecpmessage\fR; 
\fBcurvecpmessage\fR sends a stream of data to ftpd.  
The same curvecpmessage tool is also used by  
\fBcurvecpclient\fR. 
.PP 
\fBcurvecpserver\fR and  
\fBcurvecpclient\fR can use programs other than  
\fBcurvecpmessage\fR. Those programs can directly 
generate messages in the CurveCP message format without talking to  
separate tools such as ftpd; or they can support a completely  
different protocol that reuses CurveCP's cryptographic layer  
but transmits different kinds of messages. 
.SH "OPTIONS" 
.PP 
How to use \fBcurvecpmessage\fR: 
.IP "\fB-q\fP           \fBoptional\fP         " 10 
no error messages 
.IP "\fB-Q\fP           \fBoptional\fP         " 10 
print error messages (default) 
.IP "\fB-v\fP           \fBoptional\fP         " 10 
print extra information 
.IP "\fB-c\fP           \fBoptional\fP         " 10 
program is a client; server starts first 
.IP "\fB-C\fP           \fBoptional\fP         " 10 
program is a client that starts first 
.IP "\fB-s\fP           \fBoptional\fP         " 10 
program is a server (default) 
.IP "\fBprog\fP         " 10 
run this server 
.SH "SEE ALSO" 
.PP 
curvecpserver (1), curvecpclient (1), inetd (8), tcpserver (1). 
.SH "AUTHOR" 
.PP 
This manual page was written by Sergiusz Pawlowicz debian@pawlowicz.name for 
the \fBDebian\fP system (and may be used by others). The source 
of this page is a webpage https://curvecp.org/messageapi.html . 
Permission is granted to copy, distribute and/or modify this 
document under public domain. 
 
.PP 
This manual page was rewritten for the \fBDebian\fP distribution 
because the original program does not have a manual page. 
.\" created by instant / docbook-to-man, Sat 14 Jan 2012, 02:59 
